petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchDestroy

Destroys the line search instance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchDestroy(SNESLineSearch * linesearch)

Collective on SNESLineSearch Many br

### Input Parameters

linesearch -The linesearch context Many br

Many br

### Keywords

SNESLineSearch, Destroy

### See Also

SNESLineSearchCreate(), SNESLineSearchReset(), SNESDestroy()

Level:Intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages